﻿/*
 * Base des objets Bras et jambe 
 */

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Bonhomme02
{
    class BaseBJ
    {
        Peau Haut, Millieux, Bas, parent;
        double angleHaut, angleMillieux, angleBas, longueur;
        public BaseBJ()
        {

        }
        public BaseBJ(PictureBox Hebergeur, ref Peau parent, Peau bas, double longueur, double epaisseur, double angle)
        {
            this.parent = parent;
            angleHaut = angleMillieux = angleBas = 0;
            this.Haut = new Peau(Hebergeur, ref parent, longueur/2, epaisseur, angle);
            this.Millieux = new Peau(Hebergeur, ref this.Haut, longueur/2, epaisseur, angle);
            this.Bas = bas;
            this.Bas.parent = this.Millieux;
        }
        public void Afficher(IntPtr handle)
        {
            Haut.Afficher(handle);
            Millieux.Afficher(handle);
            Bas.Afficher(handle);
        }
        
    }
}
